Subject: Re: [bug#62570] [PATCH 3/6] gnu: texlive-latex-bigfoot: Replace with texlive-bigfoot.

From: Nicolas Goaziou <[email-masked]>
Date: Fri, 07 Apr 2023 20:01:12 +0200

Hello,

Simon Tournier <[email-masked]> writes:

> Thanks, the series LGTM.

Thank you for the feedback!

> However, it goes from this,
>
>     $ tree -L 6 $(guix build --no-grafts texlive-latex-bigfoot -S)
>     /gnu/store/z9kc9qbg40nl0azivpmfmhrnqb6dnmqm-texlive-latex-bigfoot-59745-checkout
>     ├── bigfoot.drv
>     ├── bigfoot.dtx
>     ├── bigfoot.ins
>     ├── perpage.drv
>     ├── perpage.dtx
>     ├── suffix.drv
>     └── suffix.dtx
>
>     0 directories, 7 files
>
> to that,
>
>     $ tree -L 6 $(./pre-inst-env guix build --no-grafts texlive-latex-bigfoot -S)
>     guix build: package 'texlive-latex-bigfoot' has been superseded by 'texlive-bigfoot'
>     /gnu/store/rws86c5hi1r25f14h95hiqzgcw8rbir2-texlive-bigfoot-59745-checkout
>     ├── doc
>     │   └── latex
>     │       └── bigfoot
>     │           ├── bigfoot.pdf
>     │           ├── COPYING
>     │           ├── Makefile
>     │           ├── perpage.pdf
>     │           ├── README
>     │           └── suffix.pdf
>     ├── source
>     │   └── latex
>     │       └── bigfoot
>     │           ├── bigfoot.drv
>     │           ├── bigfoot.dtx
>     │           ├── bigfoot.ins
>     │           ├── perpage.drv
>     │           ├── perpage.dtx
>     │           ├── suffix.drv
>     │           └── suffix.dtx
>     └── tex
>         └── latex
>             └── bigfoot
>                 ├── bigfoot.sty
>                 ├── perpage.sty
>                 └── suffix.sty
>
>     9 directories, 16 files
>
>
> Here, I have two questions (unrelated to the patch series ;-)):
>
>  1. Does it make sense to keep the PDF and .sty files?

PDF files are the documentation. They belong to the "doc" output. It
seems useful to allow users to get package definitions, too.

The ".sty" files are the actual package, i.e., what gets loaded when you
insert \require{bigfoot}. IOW, the previous package definition was
utterly broken since it didn't provide any usable code anyway.
Unfortunately, there are other old TeXLive packages in this very same
sad situation.

What might be removed, however, is the "source" part. As it was already
suggested on this ML (I cannot find the reference, sorry), you can
retrieve source with "guix build -S" already, so it is not terribly
useful to also put it in the store. OTOH, I think it doesn't free much
space.

>  2. Which of the both is the closest of upstream structure?

The new package checkout matches exactly the layout of the full TeXLive
distribution.

Regards,
-- 
Nicolas Goaziou